<script setup lang="ts">
const model = defineModel<{
  message?: string;
  title?: string;
}>({default: {}});

</script>

<template>
  <CdsContainer>
    <CdsContainerItem>
      <h4>{{ model.title || 'Произошла ошибка' }}</h4>
      <p v-if="model.message">{{ model.message }}</p>
      <slot></slot>
    </CdsContainerItem>
  </CdsContainer>
</template>